Subject: Re: [bug#30654] giflib / khtml build failures

From: Danny Milosavljevic <[email-masked]>
Date: Wed, 28 Feb 2018 22:57:42 +0100

Hi Harmut,

I would prefer to remove reallocarray from giflib entirely.

As it is now, it's anyone's guess which of the functions is taken after ld.so is
done with setting up your program-using-glibc-and-giflib (I'm sure there's
a resolution mechanism but let's not tempt it to fail please).

I'd just empty giflib's lib/openbsd-reallocarray.c and remove the prototype
from the header file entirely.

/gnu/store$ objdump -t ywvngg36v2cdidcclvk0k14mxmmn73wp-giflib-5.1.4/lib/libgif.so.7 |grep reallocarray
0000000000005970 g     F .text  0000000000000056              reallocarray

That means giflib and glibc both define the same function with mutually
incompatible signatures (here only slightly incompatible).

Note that this is only a problem for C++ since C doesn't have exceptions.